Page MenuHomePhabricator

Replicate CentralNotice tables to Labs
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 4:40 PM
Jseddon added a subscriber: Jseddon.
chasemp triaged this task as Medium priority.May 31 2016, 3:39 PM
scfc renamed this task from Replicate CN related tables at labs to Replicate CentralNotice tables to Labs.Jun 11 2016, 7:46 PM
Base added a comment.Jun 11 2016, 8:33 PM

The tables in the desc looks like indeed the most useful ones, but I would like all the extension's tables to be replicated.

The tables in the desc looks like indeed the most useful ones, but I would like all the extension's tables to be replicated.

Yes, it makes most sense to replicate all of them. Thx in advance!!!

Jseddon updated the task description. (Show Details)Aug 15 2016, 4:46 PM
Jseddon updated the task description. (Show Details)

I suppose some views just need to be added to maintain-replicas for these

Base added a comment.Aug 30 2017, 7:15 PM

Any news?

Reedy edited projects, added Data-Services; removed Cloud-Services.Aug 30 2017, 7:27 PM
Reedy updated the task description. (Show Details)

Change 374875 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add centralnotice tables to maintain-views.yaml

https://gerrit.wikimedia.org/r/374875

Hi,

Just to make sure I am getting this right, centralnotice database means metawiki database, right?
I have checked the tables added to Reedy's patch, and they do already exist on labsdb servers.
So as Krenair points out at: T135405#2585246 this is just missing the views

Reedy added a subscriber: Reedy.Aug 31 2017, 7:44 AM

Hi,
Just to make sure I am getting this right, centralnotice database means metawiki database, right?
I have checked the tables added to Reedy's patch, and they do already exist on labsdb servers.
So as Krenair points out at: T135405#2585246 this is just missing the views

Yeah. Well, they are on testwiki too (it's setup as a "central wiki" for itself), so might be worth exposing those at the same time, for usefulness of testing purposes (more people can create banners/notices on testwiki than metawiki)

So my patch above being merged, and the script being run on the labsdb servers should be enough to make the magic happen?

Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.

Hi,
Just to make sure I am getting this right, centralnotice database means metawiki database, right?
I have checked the tables added to Reedy's patch, and they do already exist on labsdb servers.
So as Krenair points out at: T135405#2585246 this is just missing the views

Yeah. Well, they are on testwiki too (it's setup as a "central wiki" for itself), so might be worth exposing those at the same time, for usefulness of testing purposes (more people can create banners/notices on testwiki than metawiki)

Thanks! :-)

So my patch above being merged, and the script being run on the labsdb servers should be enough to make the magic happen?

Yes, that should be it. I will leave cloud-services-team to review the patch and merge it, so they can run the maintainviews script.
I have checked and the labsdbuser (on the new labs servers) already have grants for metawiki_p views, so there should be no issues from the DBA side.

Reedy added a comment.Aug 31 2017, 7:51 AM

The tables in the desc looks like indeed the most useful ones, but I would like all the extension's tables to be replicated.

Yes, it makes most sense to replicate all of them. Thx in advance!!!

Just to confirm, @AndyRussG we can just replicate all the tables? I had a quick scan of them.. And can't see any obviously private data. See the patch listing the tables to be exposed 1:1

Change 374875 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add centralnotice tables to maintain-views.yaml
https://gerrit.wikimedia.org/r/374875

bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Aug 31 2017, 3:06 PM
Ejegg added a subscriber: Ejegg.Aug 31 2017, 10:04 PM

Yes, everything in the CentralNotice schema can be visible to the public. Most of it is already visible via https://meta.wikimedia.org/wiki/Special:CentralNotice and its subpages, even for logged-out users.

Change 374875 merged by Madhuvishy:
[operations/puppet@production] Add centralnotice tables to maintain-views.yaml

https://gerrit.wikimedia.org/r/374875

@Marostegui @Reedy Merged and ran maintain-views in all the labs replicas (1001/3/9/10/11)

madhuvishy closed this task as Resolved.Aug 31 2017, 11:22 PM
madhuvishy claimed this task.

I'm closing this as resolved since running the maintain-views script for the new views went fine. Please reopen if there are any issues. Thanks!